Bug 434911 - Review Request: gmfsk - A Gnome Multimode HF Terminal for Ham Radio
Review Request: gmfsk - A Gnome Multimode HF Terminal for Ham Radio
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 02:10 EST by Robert 'Bob' Jensen
Modified: 2008-03-03 13:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 17:07:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
rawhide-i386-build-log (93.35 KB, text/plain)
2008-02-26 09:25 EST, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Robert 'Bob' Jensen 2008-02-26 02:10:19 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/gmfsk.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/gmfsk-0.7-0.pre1.3.fc8.src.rpm
Description: gmfsk is a terminal program for amateur radio digital communication modes for GNOME. It supports MFSK, RTTY, THROB, PSK31, MT63 and Hellschreiber
modulations. It is used for keyboard-to-keyboard chatting and not reliable
packet communication.

This srpm mock builds on Fedora 7 and Fedora 8, all resulting rpms are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-02-26 09:24:38 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F-7: OK
 - F-8: OK
 - rawhide: FAILED (logs attached)
 - EL-5: FAILED (but not targeted anyway)

Applicable Package Guidelines:
 - -debuginfo package: OK (~592K)

Locales: OK
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

Please examine the build log files attached
Comment 2 Jeroen van Meeuwen 2008-02-26 09:25:40 EST
Created attachment 295915 [details]
rawhide-i386-build-log
Comment 3 Wes Hardaker 2008-02-26 09:32:06 EST
The release number in the spec file should be set to 1 too just to be "standard"
rather than the multi-part "pre" version number like it is now.
Comment 4 Jeroen van Meeuwen 2008-02-26 09:53:10 EST
Release number is fine as it is now. Guidelines say you should append "pre",
"alpha", "beta" and vcs snapshot tags to the release tag.
Comment 5 Steve Conklin 2008-02-28 19:46:31 EST
New srpm:
http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/gmfsk-0.7-0.pre1.4.fc9.src.rpm
New spec:
http://bjensen.fedorapeople.org/pkgs/hams/SPECS/gmfsk.spec

This fixes the build problem, and some errors during desktop file install.
Comment 6 Jeroen van Meeuwen 2008-03-02 11:02:07 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=484267

APPROVED
Comment 7 Robert 'Bob' Jensen 2008-03-02 11:05:16 EST
New Package CVS Request
=======================
Package Name: gmfsk
Short Description: A Gnome Multimode HF Terminal for Ham Radio
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindgepb
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-03-02 12:12:44 EST
Per the conversation on irc, do fix the versioning here before importing... 

cvs done.
Comment 10 Fedora Update System 2008-03-02 17:05:16 EST
gmfsk-0.7-0.5.pre1.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-03-02 17:06:03 EST
gmfsk-0.7-0.5.pre1.fc7 has been submitted as an update for Fedora 7
Comment 12 Robert 'Bob' Jensen 2008-03-02 17:07:50 EST
Thank you for the review and other help.
Comment 13 Fedora Update System 2008-03-03 13:24:44 EST
gmfsk-0.7-0.5.pre1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-03-03 13:27:00 EST
gmfsk-0.7-0.5.pre1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.